Search found 14 matches

Go to advanced search

by silent_missile
Sat Feb 15, 2020 2:49 am
Forum: Python scripting and macros
Topic: how to handle unclamped BSplineSurface
Replies: 14
Views: 294

Re: how to handle unclamped BSplineSurface

thanks for your help, but the problem still exist, I need some more help here are some code, please help me to check the first function is extend_mirror_curve, this function follows https://www.sciencedirect.com/science/article/abs/pii/001044859190046Y I use an individual NURBS package geomdl, its h...
by silent_missile
Fri Feb 14, 2020 9:18 am
Forum: Python scripting and macros
Topic: how to handle unclamped BSplineSurface
Replies: 14
Views: 294

Re: how to handle unclamped BSplineSurface

everybody, please help me more. I tried wmayer's method, and I got a surface of the first set of points. In that set, the knots have some mults at the end point, but fewer than order+1, because I used A12.1 in page 577 in The NURBS Book 2nd , I need to convert it to unclamped data structure in appli...
by silent_missile
Tue Feb 11, 2020 10:16 am
Forum: Python scripting and macros
Topic: how to handle unclamped BSplineSurface
Replies: 14
Views: 294

Re: how to handle unclamped BSplineSurface

I need to extend the curve/surface, and the extended part is unclamped, this means I have to handle unclamped curve/surface

there is a "mults" parameter for knots, I thought OCCT/FreeCAD can handle it, but I'm disappointed.
by silent_missile
Tue Feb 11, 2020 7:46 am
Forum: Python scripting and macros
Topic: how to handle unclamped BSplineSurface
Replies: 14
Views: 294

how to handle unclamped BSplineSurface

normally we use clamped BSplineCurve and BSplineSurface because the end points locate on the end of the curve/surface. sometimes we have un-normal application, I need to model unclampled BSplineCurve/Surface, but I meet terrible mistake in FreeCAD. import FreeCAD import Part FreeCAD.newDocument("Unn...
by silent_missile
Fri Dec 20, 2019 1:48 am
Forum: Python scripting and macros
Topic: how to project a point to surface?
Replies: 1
Views: 95

how to project a point to surface?

I have an existing Part.BSplineSurface object, and a Part.Point object, now I want to project the point on to the surface, is there any API can do this?
by silent_missile
Fri Nov 29, 2019 11:49 am
Forum: Python scripting and macros
Topic: how to extend a BSpline and NURBS surface
Replies: 2
Views: 103

Re: how to extend a BSpline and NURBS surface

thank you wmayer I find the function in surface workbench, but it can't satisfy my requirement the operation can't set extension ratio, so I can't adjust the parameter and the operation can't be logged by the console, so I can't call it in script so it can't satisfy my requirement, it's not sufficient
by silent_missile
Fri Nov 29, 2019 5:22 am
Forum: Python scripting and macros
Topic: how to extend a BSpline and NURBS surface
Replies: 2
Views: 103

how to extend a BSpline and NURBS surface

here I have some requirement to extend the BSpline and NURBS surface I use help function to check the Part.BSplineCurve and Part.BSplineSurface but I can't find extend function in these two classes in OpenCASCADE src/GeomLib/GeomLib.h there is a function GeomLib::ExtendCurveToPoint, but I can't find...
by silent_missile
Wed Nov 06, 2019 3:29 am
Forum: Python scripting and macros
Topic: how to get a point on a curve with specific ratio or distance?
Replies: 1
Views: 114

how to get a point on a curve with specific ratio or distance?

Hello, I have some requirement to use FreeCAD, please help now I need to get a point on a Part.BSpline What I know is only the distance ratio from one end, I use help(Part.Curve) to read the comment, but I can't find any function can get a point with specific length ratio. u parameter is an alternat...
by silent_missile
Tue Oct 08, 2019 3:21 pm
Forum: Python scripting and macros
Topic: how to shift a point from surface?
Replies: 1
Views: 197

how to shift a point from surface?

hello, I have some problems, please give me some guidance. here is a free surface like NURBS, and a free curve like B-Spline they intersect, so there is an intersection point now I need to shift this intersection point from the surface for some distance to get a new point, the law of the shift is no...
by silent_missile
Tue Sep 24, 2019 12:57 am
Forum: Python scripting and macros
Topic: how to export a series of points on a curve
Replies: 2
Views: 237

how to export a series of points on a curve

here is a curve, maybe it's generated by NURBS, or it's generated by intersection of 2 surfaces now I need to export a series of points on the curve to [[x0, y0, z0], [x1, y1, z1],...] is there any API can do this? please help me. also, if I want to modify the resolution of the points, how to do it?

Go to advanced search



cron